com.trendmicro.ds.platform.rest.object.smartfolder

## Class QueryGroupSummary

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QueryGroupSummary

-     public class QueryGroupSummary
      extends java.lang.Object

  Details of a Query Group

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryGroupSummary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addQuery(QuerySummary query)` Adds a Query to query list.
    `Model.Comparison` | `getComparison()` Gets the Query Group comparison.
    `java.util.List<QuerySummary>` | `getQueries()` Gets the queries that make up the query group .
    `void` | `setComparison(Model.Comparison comparison)` Sets the Query Group comparison.
    `void` | `setQueries(java.util.List<QuerySummary> queries)` Sets the queries that make up the query group.
    `java.lang.String` | `toString()`
    `QueryGroupSummary` | `withComparison(Model.Comparison comparison)` Sets the Query Group comparison.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryGroupSummary

          public QueryGroupSummary()

  - ### Method Detail

    - #### getQueries

          public java.util.List<QuerySummary> getQueries()

      Gets the queries that make up the query group .
      Returns:
        The queries that make up the query group.

    - #### setQueries

          public void setQueries(java.util.List<QuerySummary> queries)

      Sets the queries that make up the query group.
      Parameters:
        `queries` - The queries that make up the query group.

    - #### getComparison

          public Model.Comparison getComparison()

      Gets the Query Group comparison.
      Returns:
        The Query Group comparison.

    - #### setComparison

          public void setComparison(Model.Comparison comparison)

      Sets the Query Group comparison.
      Parameters:
        `comparison` - the Query Group comparison.

    - #### addQuery

          public void addQuery(QuerySummary query)

      Adds a Query to query list.
      Parameters:
        `queryString` - The String representation of the query.

    - #### withComparison

          public QueryGroupSummary withComparison(Model.Comparison comparison)

      Sets the Query Group comparison.
      Parameters:
        `comparison` - The Query Group comparison.
      Returns:
        The updated QueryGroupSummary object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.